org.eclipse.cdt.core.dom.parser

## Class GNUScannerExtensionConfiguration

- java.lang.Object
- - org.eclipse.cdt.core.dom.parser.AbstractScannerExtensionConfiguration
  - - org.eclipse.cdt.core.dom.parser.GNUScannerExtensionConfiguration

All Implemented Interfaces:
  IScannerExtensionConfiguration

Direct Known Subclasses:
  GCCScannerExtensionConfiguration, GPPScannerExtensionConfiguration

    public abstract class GNUScannerExtensionConfiguration
    extends AbstractScannerExtensionConfiguration

Base class for all gnu scanner configurations. Provides gnu-specific macros and keywords.

Since:
  5.0

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.cdt.core.dom.parser.AbstractScannerExtensionConfiguration

`AbstractScannerExtensionConfiguration.MacroDefinition`

### Constructor Summary

Constructors
Constructor and Description
`GNUScannerExtensionConfiguration()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static void` `addAdditionalGNUKeywords(CharArrayIntMap target)` Deprecated. simply derive from this class and use `AbstractScannerExtensionConfiguration.addKeyword(char[], int)` to add additional keywords.
`static IMacro[]` `getAdditionalGNUMacros()` Deprecated. simply derive from this class and use `AbstractScannerExtensionConfiguration.addMacro(String, String)` to add additional macros.
`boolean` `support$InIdentifiers()` Support for GNU extension "Dollar Signs in Identifier Names".
`char[]` `supportAdditionalNumericLiteralSuffixes()` Support for additional numeric literal suffix characters, like e.g.
`boolean` `supportDigitSeparators()` Support for C++14 digit separators in integer literals
`boolean` `supportUserDefinedLiterals()` Support for User Defined Literals such as 123_suffix
`protected static int` `version(int major, int minor)`

### Methods inherited from class org.eclipse.cdt.core.dom.parser.AbstractScannerExtensionConfiguration

`addKeyword, addMacro, addPreprocessorKeyword, createFunctionStyleMacro, createMacro, getAdditionalKeywords, getAdditionalMacros, getAdditionalPreprocessorKeywords, initializeMacroValuesTo1, supportAtSignInIdentifiers, supportMinAndMaxOperators, supportRawStringLiterals, supportSlashPercentComments, supportUTFLiterals`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GNUScannerExtensionConfiguration

    public GNUScannerExtensionConfiguration()

### Method Detail

#### version

    protected static int version(int major,
                                 int minor)

Restriction:
  This method is not intended to be referenced by clients.

#### support$InIdentifiers

    public boolean support$InIdentifiers()

Description copied from interface: `IScannerExtensionConfiguration`
Support for GNU extension "Dollar Signs in Identifier Names".

Specified by:
  `support$InIdentifiers` in interface `IScannerExtensionConfiguration`
Overrides:
  `support$InIdentifiers` in class `AbstractScannerExtensionConfiguration`
Returns:
  `true`, if $ should be supported in identifiers
See Also:
  "http://gcc.gnu.org/onlinedocs/gcc/Dollar-Signs.html"

#### supportAdditionalNumericLiteralSuffixes

    public char[] supportAdditionalNumericLiteralSuffixes()

Description copied from interface: `IScannerExtensionConfiguration`
Support for additional numeric literal suffix characters, like e.g. 'i' and 'j' for GNU Complex number literals.

Specified by:
  `supportAdditionalNumericLiteralSuffixes` in interface `IScannerExtensionConfiguration`
Overrides:
  `supportAdditionalNumericLiteralSuffixes` in class `AbstractScannerExtensionConfiguration`
Returns:
  an array of chars or `null`, if no additional suffixes should be allowed
See Also:
  "http://gcc.gnu.org/onlinedocs/gcc/Complex.html"

#### supportUserDefinedLiterals

    public boolean supportUserDefinedLiterals()

Description copied from class: `AbstractScannerExtensionConfiguration`
Support for User Defined Literals such as 123_suffix

Specified by:
  `supportUserDefinedLiterals` in interface `IScannerExtensionConfiguration`
Overrides:
  `supportUserDefinedLiterals` in class `AbstractScannerExtensionConfiguration`
Since:
  5.10

#### supportDigitSeparators

    public boolean supportDigitSeparators()

Description copied from interface: `IScannerExtensionConfiguration`
Support for C++14 digit separators in integer literals

Specified by:
  `supportDigitSeparators` in interface `IScannerExtensionConfiguration`
Overrides:
  `supportDigitSeparators` in class `AbstractScannerExtensionConfiguration`

#### getAdditionalGNUMacros

    @Deprecated
    public static IMacro[] getAdditionalGNUMacros()

Deprecated. simply derive from this class and use `AbstractScannerExtensionConfiguration.addMacro(String, String)` to add additional macros.

#### addAdditionalGNUKeywords

    @Deprecated
    public static void addAdditionalGNUKeywords(CharArrayIntMap target)

Deprecated. simply derive from this class and use `AbstractScannerExtensionConfiguration.addKeyword(char[], int)` to add additional keywords.